#ifndef	__UTILS_H
#define __UTILS_H	1

extern void die(int, const char*);
extern void status(void);

void die(int stat, const char *str)
{
	fprintf(stderr,"%s\n",str);
	exit(stat);
}

void status(void)
{
	static char pos;
	char* str="|/-\\";

	printf("%c\r",str[pos]);
	pos++>3?pos=0:pos;
}
#endif
